<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.scytl</groupId>
        <artifactId>maven-generic-conf</artifactId>
        <version>1.5.6</version>
    </parent>

    <groupId>com.scytl.products.oscore</groupId>
    <artifactId>logging</artifactId>
    <version>1.4.2</version>
    <packaging>pom</packaging>
    <name>Logging Module</name>

    <scm>
        <connection>scm:git:ssh://git@scm.scytl.net:7999/comp/online-voting-logging.git</connection>
        <developerConnection>scm:git:ssh://git@scm.scytl.net:7999/comp/online-voting-logging.git</developerConnection>
        <url>https://scm.scytl.net/stash/projects/COMP/repos/online-voting-logging/browse</url>
        <tag>HEAD</tag>
    </scm>

    <properties>
        <maven.javadoc.failOnError>false</maven.javadoc.failOnError>
        <source.version>1.8</source.version>
        <target.version>1.8</target.version>
        <javaee.version>6.0-6</javaee.version>
        <tomee.version>1.7.1</tomee.version>
        <junit.version>4.11</junit.version>
        <log4j2.version>2.2</log4j2.version>
        <log4j.version>1.2.17</log4j.version>
        <secure.logger.version>5.1.2</secure.logger.version>
        <slf4j.version>1.7.7</slf4j.version>
    </properties>

    <build>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${source.version}</source>
                    <target>${target.version}</target>
                    <cc>${project.build.outputDirectory}</cc>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>0.7.4.201502262128</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.18.1</version>
                <configuration>
                    <systemPropertyVariables>
                        <propertyName>org.apache.deltaspike.ProjectStage</propertyName>
                        <buildDirectory>IntegrationTest</buildDirectory>
                    </systemPropertyVariables>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-release-plugin</artifactId>
                <version>2.5.1</version>
                <configuration>
                    <arguments>-Drelease</arguments>
                    <preparationGoals>clean verify</preparationGoals>
                    <checkModificationExcludes>
                        <checkModificationExclude>.Xauthority-*</checkModificationExclude>
                    </checkModificationExcludes>
                    <goals>deploy</goals>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.scm</groupId>
                        <artifactId>maven-scm-provider-gitexe</artifactId>
                        <version>1.8.1</version>
                    </dependency>
                </dependencies>
            </plugin>
            <plugin>
                <groupId>com.mycila.maven-license-plugin</groupId>
                <artifactId>maven-license-plugin</artifactId>
                <version>1.9.0</version>
                <configuration>
                <headerDefinitions>
                   <headerDefinition>licensePattern.xml</headerDefinition>
                </headerDefinitions>
                <mapping>
                  <javadoc_style>JAVADOC_STYLE</javadoc_style>
                </mapping>
                          <header>${basedir}/LICENSE</header>
                          <includes>
                              <include>**/*.java</include>
                              <include>**/*.xml</include>
                              <include>**/*.properties</include>
                              <include>**/*.js</include>
                          </includes>
                          <excludes>
                              <exclude>**/.*/**</exclude>
                              <exclude>target/**</exclude>
                              <exclude>bower_components/**</exclude>
                              <exclude>build/**</exclude>
                              <exclude>dist/**</exclude>
                              <exclude>node_modules/**</exclude>
                              <exclude>release/**</exclude>
                          </excludes>
                          <properties>
                              <currentYear>2018</currentYear>
                          </properties>
                          <useDefaultExcludes>true</useDefaultExcludes>
                          <strictCheck>true</strictCheck>
                      </configuration>
              <executions>
                <execution>
                  <goals>
                    <goal>check</goal>
                  </goals>
                </execution>
              </executions>
            </plugin>
        </plugins>
    </build>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>log4j</groupId>
                <artifactId>log4j</artifactId>
                <version>${log4j.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.slogger</groupId>
                <artifactId>logger</artifactId>
                <version>${secure.logger.version}</version>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>1.59</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${slf4j.version}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${slf4j.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <scope>test</scope>
        </dependency>

    </dependencies>
    <modules>
        <module>logging-api</module>
        <module>logging-core</module>
    </modules>
</project>
